#!/bin/sh

cd /var/www/html
[ -d .git ] || git clone ${NGINX_SERVER_GIT_URL} . && git config --global --add safe.directory /var/www/html

chown -R nobody:nobody /conf
rsync -arvP /conf/ /var/www/html/

git pull
if [[ -n "$PHP_ENABLED" ]]; then php-fpm83; fi
nginx&
python /hook/docker-hook -c sh /hook/update.sh
